- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TClientSideOptions

    TComponent
       |
       --TClientSideOptions

#### Direct Known Sub-classes:

TCallbackClientSide , TColorPickerClientSide , TValidatorClientSide , TClientSideValidationSummaryOptions , TSliderClientScript , TDatePickerClientScript

TClientSideOptions abstract class.

TClientSideOptions manages client-side options for components that have common client-side javascript behaviours and client-side events such as between ActiveControls and validators.

Since: 3.0
Author: <weizhuo[at]gmail[dot]com>

Constructor Summary
public | __construct Constructor, initialize the options list.

Method Summary

protected void

ensureFunction ( mixed $javascript)
Ensure that the javascript statements are wrapped in a javascript function block as

    function(sender, parameter){ //code }

.

protected string | getOption ( mixed $name)
TMap | getOptions ()
protected void | setFunction ( string $name, string $code) Adds on client-side event handler by wrapping the code within a javascript function block. If the code begins with "javascript:", the code is assumed to be a javascript function block rather than arbiturary javascript statements.
protected void | setOption ( string $name, mixed $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct |

Constructor, initialize the options list.

Method Details

## ensureFunction

protected void ensureFunction | (mixed $javascript )

Ensure that the javascript statements are wrapped in a javascript function block as

    function(sender, parameter){ //code }

.

Input
mixed | $javascript |
Output
Exception

## getOption

protected string getOption | (mixed $name )

Input
mixed | $name |
Output
string | gets a particular option, null if not set.
Exception

## getOptions

public TMap getOptions | ()

Output
TMap | gets the list of options as TMap
Exception

## setFunction

protected void setFunction | (string $name , string $code )

Adds on client-side event handler by wrapping the code within a javascript function block. If the code begins with "javascript:", the code is assumed to be a javascript function block rather than arbiturary javascript statements.

Input
string | $name | option name
string | $code | javascript statements.
Output
Exception

## setOption

protected void setOption | (string $name , mixed $value )

Input
string | $name | option name
mixed | $value | option value.
Output
Exception